Bug 506875 - kernel: ptrace: don't use REMOVE_LINKS/SET_LINKS for reparenting [rhel-4.9]
kernel: ptrace: don't use REMOVE_LINKS/SET_LINKS for reparenting [rhel-4.9]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.9
All Linux
urgent Severity medium
: rc
: ---
Assigned To: Oleg Nesterov
Petr Beňas
: ZStream
Depends On:
Blocks: 519446
  Show dependency treegraph
 
Reported: 2009-06-18 23:40 EDT by Eugene Teo (Security Response)
Modified: 2015-01-04 17:58 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-16 10:45:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2009-06-18 23:40:57 EDT
Description of problem:
There are places where kernel uses REMOVE_LINKS/SET_LINKS while changing process's ->parent.  Use add_parent/remove_parent instead, they don't abuse of global process list.

Upstream commit:
http://git.kernel.org/linus/9b678ece42893b53aae5ed7cb8d7cb261cacb72c
Comment 4 Vivek Goyal 2009-07-07 14:11:59 EDT
Committed in 89.5.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 9 Petr Beňas 2010-11-15 08:00:46 EST
Reproduced in 2.6.9-89.4.E and verified in 2.6.9-89.5.EL.
Comment 11 errata-xmlrpc 2011-02-16 10:45:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html

Note You need to log in before you can comment on or make changes to this bug.